<Container
  {{did-insert this.setup}}
  {{did-update this.setup this.value}}
  @value={{@value.data.container}}
  @deviceSize={{@deviceSize}}
  class="page-col-blocks use-highlights {{if this.isEmpty "empty"}}"
  data-name={{@value.name}}
  data-gid={{@value.gid}}
  data-path="{{@path}}.data.container"
  ...attributes
>
  <Article::Viewer
    @path="{{@path}}.data"
    @name={{@value.name}}
    @gid={{@value.gid}}
    @deviceSize={{@deviceSize}}
    @styleOptions={{@value.data}}
    @preview={{@preview}}
    @value={{this.value}}
    @isEditor={{@isEditor}}


    data-editor="blocks"
    data-type="blocks"
    {{editor-props @value basePath=@path property="blocks"}}
    as |value|
  >
    <View::Slot
      @value={{value}}
      @model={{this.model}}
      @space={{@space}}
      @onChangeState={{@onChangeState}}
      @state={{@state}}
      @isEditor={{@isEditor}}
      @preview={{@preview}}
    />
  </Article::Viewer>
</Container>